> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List query fan-outs



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/audits/query-fan-outs
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/audits/query-fan-outs:
    get:
      tags:
        - Audits
      summary: List query fan-outs
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: The workspace the API key has access to.
          required: true
          description: The workspace the API key has access to.
          name: workspaceId
          in: query
      responses:
        '200':
          description: A list of query fan-out runs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiQueryFanOutsList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiQueryFanOutsList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiQueryFanOutListItem'
        paging:
          $ref: '#/components/schemas/PublicApiCursorPageInfo'
      required:
        - items
        - paging
      example:
        items:
          - id: 01HXFANOUT5XY8Z2N3KQ7VAW4P
            workspaceId: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            query: best running shoes for marathon training
            status: completed
            queriesCount: 25
            createdDate: '2026-06-18T08:29:45.000Z'
        paging:
          nextCursor: null
          hasMore: false
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiQueryFanOutListItem:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        workspaceId:
          type: string
        query:
          type: string
        status:
          type: string
          enum:
            - pending
            - running
            - completed
            - failed
        queriesCount:
          type: number
        createdDate:
          type: string
      required:
        - id
        - workspaceId
        - query
        - status
        - queriesCount
        - createdDate
      example:
        id: 01HXFANOUT5XY8Z2N3KQ7VAW4P
        workspaceId: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        query: best running shoes for marathon training
        status: completed
        queriesCount: 25
        createdDate: '2026-06-18T08:29:45.000Z'
    PublicApiCursorPageInfo:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - nextCursor
        - hasMore
      example:
        nextCursor: null
        hasMore: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````